Skip to content

プロジェクトコメント一覧 Tier 4

GET/api/projects/:id/commentsCopied!

プロジェクトのトップレベルコメントを作成日時順で返します。カーソルページネーションを使用します。

ts
const comments = await client.comments.listForProject("bdbff5de-96d7-468f-9db0-85fe28bd6b62");
bash
youvico comment list --project bdbff5de-96d7-468f-9db0-85fe28bd6b62
bash
curl 'https://api.youvico.com/api/projects/bdbff5de-96d7-468f-9db0-85fe28bd6b62/comments' \
  -H 'Authorization: Bearer YOUR_API_KEY'
json
{
  "data": [
    {
      "id": "2fb4e60b-0d9a-46f3-a4dc-cb9fe8ad9be6",
      "content": "Project brief is ready for review.",
      "anchor": null,
      "duration": null,
      "createdAt": "2026-04-10 08:00:00.000000",
      "updatedAt": "2026-04-10 08:10:00.000000",
      "attachments": [],
      "author": {
        "id": "f6035d1a-29df-4d80-8d72-f1bbdddfb6ff",
        "name": "Jin Seo",
        "avatarUrl": "https://cdn.youvico.com/users/f6035d1a-29df-4d80-8d72-f1bbdddfb6ff/A1b2C3d4E5f6G7h8I9j0K1l2M3n4O5p6.avif"
      }
    }
  ],
  "page": {
    "next": null,
    "prev": "MjAyNi0wNC0xMFQwODowMDowMC4wMDBa"
  }
}

INFO

削除済みのトップレベルプロジェクトコメントに残っている返信がある場合、そのコメントが引き続き返されることがあります。削除済みコメントが返される場合、contentanchordurationauthornull になり、attachments は空の配列になります。

リクエスト

パス

idstringrequired
プロジェクトID

クエリ

nextstring
次ページ用カーソル
prevstring
前ページ用カーソル

INFO

nextprev のどちらも指定しない場合、直近に作成された25件のプロジェクトコメントを返します。

レスポンス

200 OK を返します。

dataarray
コメント
data[].idstring
コメントID

Example: 2fb4e60b-0d9a-46f3-a4dc-cb9fe8ad9be6

data[].contentstring?
コメント本文

Example: Project brief is ready for review.

data[].anchornumber?
プロジェクトコメントでは常に `null` です。

Example: null

data[].durationnumber?
プロジェクトコメントでは常に `null` です。

Example: null

data[].createdAtstring
コメント作成日時

Example: 2026-04-10 08:00:00.000000

data[].updatedAtstring
コメント最終更新日時

Example: 2026-04-10 08:10:00.000000

data[].attachmentsarray
コメント添付ファイル
data[].attachments[].idstring
コメント添付ファイルID

Example: CA1234567890ABCD

data[].attachments[].namestring
添付ファイル名

Example: review-note.pdf

data[].attachments[].urlstring
添付ファイルURL

Example: https://cdn.youvico.com/workspaces/6ba7b810-9dad-11d1-80b4-00c04fd430c8/projects/bdbff5de-96d7-468f-9db0-85fe28bd6b62/comments/CA1234567890ABCD/A1b2C3d4E5f6G7h8.pdf

data[].attachments[].mimeTypestring?
添付ファイルのMIMEタイプ

Example: application/pdf

data[].attachments[].sizenumber
添付ファイルサイズ(バイト)

Example: 1250000

data[].authorobject?
コメント作成者
data[].author.idstring
作成者ユーザーID

Example: f6035d1a-29df-4d80-8d72-f1bbdddfb6ff

data[].author.namestring
作成者表示名

Example: Jin Seo

data[].author.avatarUrlstring?
作成者アバターURL

Example: https://cdn.youvico.com/users/f6035d1a-29df-4d80-8d72-f1bbdddfb6ff/A1b2C3d4E5f6G7h8I9j0K1l2M3n4O5p6.avif

pageobject
ページネーションカーソル
page.nextstring?
次ページ用カーソル

Example: null

page.prevstring?
前ページ用カーソル

Example: MjAyNi0wNC0xMFQwODowMDowMC4wMDBa